package com.ozs.kpim.mapper.common;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ozs.kpim.dto.common.KpiFunctionDTO;
import com.ozs.kpim.dto.kpiconfig.KpiConfigForListDTO;

public interface KpiFunctionMapper {

	List<KpiFunctionDTO> listKpiFunction();

	/**
	 * 分页查询函数列表
	 * 
	 * @param functionName
	 * @return
	 */
	List<KpiConfigForListDTO> listKpiFunctionPage(@Param("functionName") String functionName);

	/**
	 * 通过ID获取函数详情
	 * 
	 * @param id
	 * @return
	 */
	KpiFunctionDTO getKpiFunction(@Param("id") String id);

}
